InitialContextFactory (Java Platform SE 8 )
Keywords: javax.naming.spi.InitialContextFactory interface
Date: 2026-04-17

compact3
javax.naming.spi

## Interface InitialContextFactory

-     public interface InitialContextFactory

  This interface represents a factory that creates an initial context.

  The JNDI framework allows for different initial context implementations to be specified at runtime. The initial context is created using an initial context factory. An initial context factory must implement the InitialContextFactory interface, which provides a method for creating instances of initial context that implement the Context interface. In addition, the factory class must be public and must have a public constructor that accepts no arguments.

  Since:
    1.3
  See Also:
    `InitialContextFactoryBuilder`, `NamingManager.getInitialContext(java.util.Hashtable<?, ?>)`, `InitialContext`, `InitialDirContext`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Context` | `getInitialContext(Hashtable<?,?> environment)` Creates an Initial Context for beginning name resolution.

- - ### Method Detail

    - #### getInitialContext

          Context getInitialContext(Hashtable<?,?> environment)
                             throws NamingException

      Creates an Initial Context for beginning name resolution. Special requirements of this context are supplied using `environment`.

      The environment parameter is owned by the caller. The implementation will not modify the object or keep a reference to it, although it may keep a reference to a clone or copy.

      Parameters:
        `environment` - The possibly null environment specifying information to be used in the creation of the initial context.
      Returns:
        A non-null initial context object that implements the Context interface.
      Throws:
        `NamingException` - If cannot create an initial context.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.